Subject: RE: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01

From: "STURA, Marco, VF-IT" <[email-masked]>
Date: Fri, 5 Jan 2007 18:36:24 +0100

Yes, but for that (if needed) ISPs would use sort of topology hiding functions in the sip infrastructure not uncontrolled NAT boxes. Or, what about distributed FWs?

But anyway, this is an endless discussion as it was for the IPv6 and e2e argument. I think the situation is what it is, and we need solutions. However, if we could aim to a cleaner future that would help a lot.

Marco 

-----Original Message-----
From: Frank W. Miller [mailto:[email-masked]] 
Sent: venerdì 5 gennaio 2007 18.14
To: 'Marc Petit-Huguenin'
Cc: [email-masked]; 'Juha Heinanen'
Subject: RE: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01

Do you honestly think that there wouldn't be NAT if the world were
completely IPv6?  NAT may have originally been put in place to alleviate the
IPv4 address exhaustion problem but separation of address spaces is more
useful than that, no matter how big the address spaces are.  While I would
luv for the public Internet to be purely end-to-end wrt IP addresses, this
just is never going to happen again.  The early days of a few hundred VAXs
all happily talking to each other directly are long gone.  The days of trust
are gone forever and NAT is just one reflection of that.

FM

-----Original Message-----
From: Marc Petit-Huguenin [mailto:[email-masked]] 
Sent: Friday, January 05, 2007 9:33 AM
To: Frank W. Miller
Cc: 'Juha Heinanen'; [email-masked]
Subject: Re: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01

Frank W. Miller wrote:
> 
> With all due respect to everyone, I would like to echo and amplify this.
> The entire direction of the SIP spec lately, outbound, ice, etc. have
really
> become overly complex.  I think a concerted effort to take a step back and
> simplify things would benefit the entire community.

"For every complex problem, there is a solution that is simple, neat,
and wrong." H.L. Mencken (1880-1956)

SIP didn't create the problem.  The ISPs who didn't deploy IPv6, the
vendors who sold NAT boxes and especially people who does not understand
the end to end argument created the problem.

> 
> Thanks,
> FM
> 
> 
> -----Original Message-----
> From: Juha Heinanen [mailto:[email-masked]] 
> Sent: Friday, January 05, 2007 7:34 AM
> To: Marc Petit-Huguenin
> Cc: [email-masked]
> Subject: Re: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01
> 
> Marc Petit-Huguenin writes:
> 
>  > > 1. Proxy receives such a big SIP request that it can not pass it
>  > >    to the UA via the persistent UDP flow
>  > > 2. Consequently the proxy will send ForceTCP message to the UA
>  > > 3. The UA will open a temporary TCP connection towards the proxy
>  > > 4. The UA will send a GetToken request to the proxy over the TCP
>  > >    connection
>  > > 5. The proxy will respond GetToken with a new flow token assigned
>  > >    to the TCP flow
>  > > 6. UA will store this new TCP flow token and associate it with the
>  > >    UDP flow
>  > > 7. UA will respond to the ForceTCP message returning the flow token
>  > >    of the TCP flow to the proxy
>  > > 8. Based on the response from the UA the proxy can now re-map the
>  > >    big SIP request from UDP flow to the new TCP flow and forward
>  > >    it to the UA
> 
> you must be joking.  looks like ietf folks are living in an extremely
> complex surrealistic world.
> 
> -- juha
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip